<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#fff"
        android:orientation="vertical">


        <ImageView
            android:layout_width="140mm"
            android:layout_height="140mm"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="70mm"
            android:background="@mipmap/login_icon" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20mm">

            <LinearLayout
                android:layout_width="300mm"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="25mm"
                    android:layout_marginTop="2dp">

                    <RadioGroup
                        android:layout_width="200mm"
                        android:layout_height="43dp"
                        android:layout_centerInParent="true"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/rb_pwd"
                            android:layout_width="30mm"
                            android:layout_height="match_parent"
                            android:layout_marginRight="50mm"
                            android:layout_weight="2"
                            android:background="@drawable/btn_title_bg_selector"
                            android:button="@null"
                            android:checked="true"
                            android:gravity="center"
                            android:paddingStart="-20dp"
                            android:paddingEnd="-20dp"
                            android:text="密码登录"
                            android:textColor="@drawable/btn_title_text_selector"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <RadioButton
                            android:id="@+id/rb_phone"
                            android:layout_width="50mm"
                            android:layout_height="match_parent"
                            android:layout_weight="2"
                            android:background="@drawable/btn_title_bg_selector"
                            android:button="@null"
                            android:gravity="center"
                            android:paddingStart="-20dp"
                            android:paddingEnd="-20dp"
                            android:text="手机号登录"
                            android:textColor="@drawable/btn_title_text_selector"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </RadioGroup>
                </RelativeLayout>
            </LinearLayout>
        </RelativeLayout>
        <!--密码登录-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="58mm"
            android:layout_marginTop="30mm"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_pwd"
                android:layout_width="match_parent"
                android:layout_height="130mm"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50mm"
                    android:background="@drawable/shape_login_et"
                    android:gravity="center_vertical">

                    <ImageView
                        android:layout_width="20mm"
                        android:layout_height="20mm"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="13mm"
                        android:background="@mipmap/login_phone" />

                    <EditText
                        android:id="@+id/et_account"
                        android:layout_width="match_parent"
                        android:layout_height="30mm"
                        android:layout_centerVertical="true"
                        android:layout_marginHorizontal="10mm"
                        android:background="@null"
                        android:inputType="textVisiblePassword"
                        android:hint="输入注册账号"
                        android:textColorHint="@color/flexible_text_sup"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50mm"
                    android:layout_marginTop="20mm"
                    android:background="@drawable/shape_login_et"
                    android:gravity="center_vertical">

                    <ImageView
                        android:layout_width="20mm"
                        android:layout_height="20mm"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="13mm"
                        android:background="@mipmap/login_pwd" />

                    <EditText
                        android:id="@+id/et_password"
                        android:layout_width="match_parent"
                        android:layout_height="30mm"
                        android:layout_marginHorizontal="10mm"
                        android:background="@null"
                        android:hint="输入账号密码"
                        android:inputType="textPassword"
                        android:textColorHint="@color/flexible_text_sup"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_phone"
                android:layout_width="match_parent"
                android:layout_height="130mm"
                android:visibility="gone"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50mm"
                    android:layout_centerInParent="true"
                    android:background="@drawable/shape_login_et"
                    android:gravity="center_vertical">

                    <ImageView
                        android:layout_width="20mm"
                        android:layout_height="20mm"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="13mm"
                        android:background="@mipmap/login_phone" />

                    <EditText
                        android:id="@+id/et_phone"
                        android:layout_width="match_parent"
                        android:layout_height="30mm"
                        android:layout_marginHorizontal="10mm"
                        android:background="@null"
                        android:hint="输入手机号"
                        android:inputType="phone"
                        android:digits="1234567890"
                        android:textColorHint="@color/flexible_text_sup"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50mm"
                    android:layout_marginTop="20mm"
                    android:background="@drawable/shape_login_et"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="20mm"
                        android:layout_height="20mm"
                        android:layout_marginLeft="13mm"
                        android:background="@mipmap/login_pwd" />

                    <EditText
                        android:id="@+id/et_code"
                        android:layout_width="0dp"
                        android:layout_height="30mm"
                        android:layout_marginLeft="10mm"
                        android:layout_weight="1"
                        android:background="@null"
                        android:gravity="center_vertical"
                        android:hint="输入验证码"
                        android:inputType="textPassword"
                        android:textColorHint="@color/flexible_text_sup"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_code"
                        android:layout_width="80mm"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="获取验证码"
                        android:textColor="@color/mainTextColor"
                        android:textSize="13sp" />
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>
        <!--忘记密码-->

        <TextView
            android:id="@+id/tv_forget"
            android:layout_width="wrap_content"
            android:layout_height="20mm"
            android:layout_gravity="right"
            android:layout_marginRight="50mm"
            android:text="忘记密码?"
            android:layout_marginTop="10mm"
            android:textColor="@color/mainTextColor"
            android:textSize="14sp" />


        <Button
            android:id="@+id/btn_login"
            android:layout_width="256mm"
            android:layout_height="53mm"
            android:layout_centerHorizontal="true"
            android:background="@drawable/selector_btn"
            android:text="登录"
            android:layout_marginTop="30mm"
            android:layout_gravity="center_horizontal"
            android:textColor="@color/white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/tv_register"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="20mm"
            android:text="没有账号立即注册?"
            android:padding="5mm"
            android:textColor="@color/mainTextColor"
            android:textSize="12sp"
            android:textStyle="bold" />

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>